<?php

	// Spin Rewriter API settings - authentication:
	$email_address = "test@example.com";			// your Spin Rewriter email address goes here
	$api_key = "1ab234c#d5e67fg_h8ijklm?901n234";	// your unique Spin Rewriter API key goes here

	// Include the Spin Rewriter API SDK.
	require_once("SpinRewriterAPI.php");
	
	// Authenticate yourself.
	$spinrewriter_api = new SpinRewriterAPI($email_address, $api_key);
	
	/*
	 * (optional) Set a list of protected terms.
	 * You can use one of the following formats:
	 * - protected terms are separated by the '\n' (newline) character
	 * - protected terms are separated by commas (comma-separated list)
	 * - protected terms are stored in a PHP array
	 */
	$protected_terms = "John, Douglas Adams, then";
	$spinrewriter_api->setProtectedTerms($protected_terms);
	
	// (optional) Set whether the One-Click Rewrite process automatically protects Capitalized Words outside the article's title.
	$spinrewriter_api->setAutoProtectedTerms(false);

	// (optional) Set the confidence level of the One-Click Rewrite process.
	$spinrewriter_api->setConfidenceLevel("medium");
	
	// (optional) Set whether the One-Click Rewrite process uses nested spinning syntax (multi-level spinning) or not.
	$spinrewriter_api->setNestedSpintax(true);
	
	// (optional) Set whether Spin Rewriter rewrites complete sentences on its own.
	$spinrewriter_api->setAutoSentences(false);
	
	// (optional) Set whether Spin Rewriter rewrites entire paragraphs on its own.
	$spinrewriter_api->setAutoParagraphs(false);
	
	// (optional) Set whether Spin Rewriter writes additional paragraphs on its own.
	$spinrewriter_api->setAutoNewParagraphs(false);
	
	// (optional) Set whether Spin Rewriter changes the entire structure of phrases and sentences.
	$spinrewriter_api->setAutoSentenceTrees(false);
	
	// (optional) Set the desired spintax format to be used with the returned spun text.
	$spinrewriter_api->setSpintaxFormat("{|}");

	// Make the actual API request and save the response as a native PHP array.
	$text = "John will book a room. Then he will read a book by Douglas Adams.";
	$api_response = $spinrewriter_api->getTextWithSpintax($text);
	
	// Output the API response.
	echo "<b>API response:</b>";
	echo "<br><br>\n\n";
	echo "<pre>";
	print_r($api_response);
	echo "</pre>";