<?php

	// Spin Rewriter API settings - authentication:
	$email_address = "test@example.com";			// your Spin Rewriter email address goes here
	$api_key = "1ab234c#d5e67fg_h8ijklm?901n234";	// your unique Spin Rewriter API key goes here

	// Include the Spin Rewriter API SDK.
	require_once("SpinRewriterAPI.php");
	
	// Authenticate yourself.
	$spinrewriter_api = new SpinRewriterAPI($email_address, $api_key);

	// (optional) Sets whether Spin Rewriter should only use synonyms (where available) when generating spun text.
	$spinrewriter_api->setUseOnlySynonyms(false);

	// (optional) Sets whether Spin Rewriter should intelligently randomize the order of paragraphs and lists when generating spun text.
	$spinrewriter_api->setReorderParagraphs(false);

	// (optional) Sets whether Spin Rewriter should automatically enrich generated articles with headings, bullet points, etc.
	$spinrewriter_api->setAddHTMLMarkup(false);

	// (optional) Sets whether Spin Rewriter should automatically convert line-breaks to HTML tags.
	$spinrewriter_api->setUseHTMLLinebreaks(false);

	/*
	 * IMPORTANT:
	 * 
	 * When using the action 'unique_variation_from_spintax', your text
	 * should already contain valid {first option|second option} spinning syntax.
	 * 
	 * No additional processing is done on your text, Spin Rewriter simply
	 * provides one of the unique variations of the given (already spun) text.
	 */
	$text = "John {will|will certainly} {book|make a reservation for} a {room|hotel suite}.";
	
	// Make the actual API request and save the response as a native PHP array.
	$api_response = $spinrewriter_api->getUniqueVariationFromSpintax($text);
	
	// Output the API response.
	echo "<b>API response:</b>";
	echo "<br><br>\n\n";
	echo "<pre>";
	print_r($api_response);
	echo "</pre>";